import { pickByNotNull } from "@/plugins/utils";
import { $httpWithMsg } from "../../plugins/axios";
import { QUESTION_API } from "@/constants/constants";

export const statisticsQueryApi = (data) => {
  return $httpWithMsg.post(`${QUESTION_API}/course/page/question/count`, data);
};

export const statisticsExportApi = (data) => {
  return $httpWithMsg.post(
    `${QUESTION_API}/course/question/count_export`,
    pickByNotNull(data),
    {
      responseType: "blob",
    }
  );
};
